Bug 20347 - Add missing classes to search results elements
Summary: Add missing classes to search results elements
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: paxed
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-07 07:39 UTC by paxed
Modified: 2018-06-04 20:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20347: Add missing classes to search results elements (3.71 KB, patch)
2018-03-07 07:41 UTC, paxed
Details | Diff | Splinter Review
Bug 20347: Add missing classes to search results elements (3.75 KB, patch)
2018-03-14 08:49 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 20347: Add missing classes to search results elements (3.81 KB, patch)
2018-03-18 07:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2018-03-07 07:39:39 UTC
The MARC21 XSLT doesn't add html classes to distinguish between certain elements, and there's no way to rely on the element positioning, making it impossible to style the elements with CSS.

Add the missing classes to distinguish the elements.
Comment 1 paxed 2018-03-07 07:41:23 UTC
Created attachment 72497 [details] [review]
Bug 20347: Add missing classes to search results elements

The MARC21 XSLT doesn't add html classes to distinguish between
certain elements, and there's no way to rely on the element
positioning, making it impossible to style the elements with CSS.

Add the missing classes to distinguish the elements.

Test plan:
1) Apply patch
2) Search for any biblios
3) Check the search result page table HTML to see that the
   "Publisher", "Edition", "Source", "Other title", and "Online access"
   are wrapped in a span with class of results_summary and one
   of "publisher", "edition", "source", "other_title", and
   "online_access"
4) Check that the search results of the elements above looks correct
   when compared to the other elements
Comment 2 sandboxes@biblibre.com 2018-03-14 08:49:12 UTC
Patch tested with a sandbox, by Sebastian Hierl <s.hierl@aarome.org>
Comment 3 sandboxes@biblibre.com 2018-03-14 08:49:33 UTC
Created attachment 72826 [details] [review]
Bug 20347: Add missing classes to search results elements

The MARC21 XSLT doesn't add html classes to distinguish between
certain elements, and there's no way to rely on the element
positioning, making it impossible to style the elements with CSS.

Add the missing classes to distinguish the elements.

Test plan:
1) Apply patch
2) Search for any biblios
3) Check the search result page table HTML to see that the
   "Publisher", "Edition", "Source", "Other title", and "Online access"
   are wrapped in a span with class of results_summary and one
   of "publisher", "edition", "source", "other_title", and
   "online_access"
4) Check that the search results of the elements above looks correct
   when compared to the other elements

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>

Signed-off-by: Sebastian Hierl <s.hierl@aarome.org>
Comment 4 Katrin Fischer 2018-03-18 07:37:37 UTC
Created attachment 73070 [details] [review]
Bug 20347: Add missing classes to search results elements

The MARC21 XSLT doesn't add html classes to distinguish between
certain elements, and there's no way to rely on the element
positioning, making it impossible to style the elements with CSS.

Add the missing classes to distinguish the elements.

Test plan:
1) Apply patch
2) Search for any biblios
3) Check the search result page table HTML to see that the
   "Publisher", "Edition", "Source", "Other title", and "Online access"
   are wrapped in a span with class of results_summary and one
   of "publisher", "edition", "source", "other_title", and
   "online_access"
4) Check that the search results of the elements above looks correct
   when compared to the other elements

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>

Signed-off-by: Sebastian Hierl <s.hierl@aarome.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-03-19 18:31:39 UTC
Pushed to master for 18.05, thanks to everybody involved!